Doomsday Engine - Feature #2053

[HeXen DK] Automatically handle version 1.0 lack of SNDINFO
2015-05-15 14:23 - vermil

Status: New Start date: 2015-05-15
Priority: Normal % Done: 0%
Assignee:

Category: User experience

Target version: Vanilla / Gameplay

Description

The initial version of HeXen DK (1.0) was released without a SNDINFO lump, which leads to no music while playing except CD
Audio.

A patch was released that corrected this (1.1); all it did was add a SNDINFO lump (it made no other changes at all).
However, this patch, naturally, requires Dos or Dosbox to install. It was never incorporated into any release of the game to my
knowledge; all commercial releases to this day have been and are 1.0 (i.e Steam has Ultimate Doom, Heretic SOTR etc, but

seemingly HeXen DK 1.0 if the Steam forum comments are accurate).

Thus, | was wondering, if it might be beneficial to users if Dday could somehow automatically imitate this patch when a user runs 1.0
on Dday? Given that what the patch does is extremely specific (i.e it doesn't alter maps, graphics etc).

Related issues:
Related to Bug #2222: Music not working right on Deathkings (1.0) Closed 2017-03-30

History

#1 - 2015-05-15 14:25 - skyjake
- Tags changed from hexendk, Music to Music, Hexen, Deathkings

- Subject changed from [HeXen DK] automatially handle version 1.0 lack of SNDINFO to [HeXen DK] Automatically handle version 1.0 lack of
SNDINFO

- Category set to User experience

#2 - 2017-04-03 18:45 - skyjake
- Related to Bug #2222: Music not working right on Deathkings (1.0) added

#3 - 2017-04-03 18:46 - skyjake

- Target version set to Vanilla/ Gameplay
